summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /net-analyzer/rrdtool
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'net-analyzer/rrdtool')
-rw-r--r--net-analyzer/rrdtool/Manifest3
-rw-r--r--net-analyzer/rrdtool/files/rrdcached.confd8
-rw-r--r--net-analyzer/rrdtool/files/rrdcached.init14
-rw-r--r--net-analyzer/rrdtool/files/rrdtool-1.4.7-configure.ac.patch21
-rw-r--r--net-analyzer/rrdtool/files/rrdtool-1.4.8-disable-rrd_graph.patch227
-rw-r--r--net-analyzer/rrdtool/files/rrdtool-1.4.9-disable-rrd_graph-cgi.patch49
-rw-r--r--net-analyzer/rrdtool/files/rrdtool-1.4.9-disable-rrd_graph-lua.patch52
-rw-r--r--net-analyzer/rrdtool/files/rrdtool-1.4.9-disable-rrd_graph-perl.patch53
-rw-r--r--net-analyzer/rrdtool/files/rrdtool-1.4.9-disable-rrd_graph-python.patch64
-rw-r--r--net-analyzer/rrdtool/files/rrdtool-1.5.0_rc1-disable-rrd_graph-lua.patch12
-rw-r--r--net-analyzer/rrdtool/files/rrdtool-1.5.0_rc1-disable-rrd_graph-python.patch38
-rw-r--r--net-analyzer/rrdtool/files/rrdtool-1.5.3-rrd_rados.h24
-rw-r--r--net-analyzer/rrdtool/files/rrdtool-1.5.3-rrdrados.pod68
-rw-r--r--net-analyzer/rrdtool/metadata.xml10
-rw-r--r--net-analyzer/rrdtool/rrdtool-1.4.8-r1.ebuild161
-rw-r--r--net-analyzer/rrdtool/rrdtool-1.4.8-r3.ebuild163
-rw-r--r--net-analyzer/rrdtool/rrdtool-1.4.9.ebuild166
-rw-r--r--net-analyzer/rrdtool/rrdtool-1.5.3-r1.ebuild188
-rw-r--r--net-analyzer/rrdtool/rrdtool-1.5.3.ebuild175
19 files changed, 1496 insertions, 0 deletions
diff --git a/net-analyzer/rrdtool/Manifest b/net-analyzer/rrdtool/Manifest
new file mode 100644
index 00000000000..4296af6a11c
--- /dev/null
+++ b/net-analyzer/rrdtool/Manifest
@@ -0,0 +1,3 @@
+DIST rrdtool-1.4.8.tar.gz 1379482 SHA256 de95b9f5aa488b0683600aad5a07c316f8d98cbe8d00aa0a1c87e2b2ef89f3d6 SHA512 c525978829508e1db393092c948d8db910554f42e1221acc4064a8f546ceac5d68943f603c6f0ef0e6510bbe5f606cfe6862672145ea1b630cd2b7fd07fa805b WHIRLPOOL f3926aed715a80c8d8287b057c39bbe614d81ebf9f24d1e285a9a438594d5c4c66b59934cc7c6be0550f0f729f319b01a46efc32ccf0b412563c43cf74a21564
+DIST rrdtool-1.4.9.tar.gz 1385640 SHA256 3e2826e0d60aaf85313da35b3c0d3a926748fe482b4ada766a325a83b60125cc SHA512 938d6a10c750cbc1e368020fc2408644bc10f6e1d9316f3117df406beef16d7d5fca2fc6fa2bdb6b1ed3e49aa872d58f1f66d1ccee9fe73483c6a5e483c33d4a WHIRLPOOL bc5fb01aef18feb89bb801a2f7fa8c2002b8f8a40e8038355e7edda8a729f354a639c864c01a1ddc7a66d19c8911d75f4f202008bec994d521a209dc6579fe10
+DIST rrdtool-1.5.3.tar.gz 2158011 SHA256 79e7b2f5cf74843e89fe4d08925f955268fd21736cbea03e54ae83320fc6129f SHA512 51e0dbca582acde1a0e77a8fcc4ffa2389b5467b5eb2443a6c9e38851459b7aa9bc08a8d5fd44f69c72e3cdb46be64a2baa66c69ca86a4cda8a061120fa14afb WHIRLPOOL 8738a499699423bd7c2536ca8d8b57db386b190fdeea47328c126aa70fae8d604ab1ab18253567a8426fe73e3fb9ab17ba8c40563841015da96451dcb4435dd7
diff --git a/net-analyzer/rrdtool/files/rrdcached.confd b/net-analyzer/rrdtool/files/rrdcached.confd
new file mode 100644
index 00000000000..0463a792346
--- /dev/null
+++ b/net-analyzer/rrdtool/files/rrdcached.confd
@@ -0,0 +1,8 @@
+RRCACHE_ARGS="-l unix:/var/run/rrdcached.sock -j /var/lib/rrdcached/journal/ -F -b /var/lib/rrdcached/db/ -B"
+
+USER=""
+GROUP=""
+
+MODE=""
+
+MAXWAIT=30
diff --git a/net-analyzer/rrdtool/files/rrdcached.init b/net-analyzer/rrdtool/files/rrdcached.init
new file mode 100644
index 00000000000..d5e9469406e
--- /dev/null
+++ b/net-analyzer/rrdtool/files/rrdcached.init
@@ -0,0 +1,14 @@
+#!/sbin/runscript
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+command="/usr/bin/rrdcached"
+command_args="${RRCACHE_ARGS} -p /run/rrdcached.pid"
+start_stop_daemon_args="--quiet"
+description="RRDtool data caching daemon"
+
+depend() {
+ need localmount net
+ use logger
+}
diff --git a/net-analyzer/rrdtool/files/rrdtool-1.4.7-configure.ac.patch b/net-analyzer/rrdtool/files/rrdtool-1.4.7-configure.ac.patch
new file mode 100644
index 00000000000..668adeee13e
--- /dev/null
+++ b/net-analyzer/rrdtool/files/rrdtool-1.4.7-configure.ac.patch
@@ -0,0 +1,21 @@
+--- a/configure.ac
++++ b/configure.ac
+@@ -148,7 +148,7 @@
+ AC_PROG_CPP
+ AC_PROG_CC
+ AM_PROG_CC_C_O
+-AC_PROG_LIBTOOL
++LT_INIT
+
+ dnl Try to detect/use GNU features
+ CFLAGS="$CFLAGS -D_GNU_SOURCE"
+@@ -204,9 +204,6 @@
+ AC_CHECK_FUNC(acos, , AC_CHECK_LIB(m, acos))
+
+
+-dnl add pic flag in any case this makes sure all our code is relocatable
+-eval `./libtool --config | grep pic_flag=`
+-CFLAGS="$CFLAGS $pic_flag"
+
+
+ dnl Checks for library functions.
diff --git a/net-analyzer/rrdtool/files/rrdtool-1.4.8-disable-rrd_graph.patch b/net-analyzer/rrdtool/files/rrdtool-1.4.8-disable-rrd_graph.patch
new file mode 100644
index 00000000000..24c264e920d
--- /dev/null
+++ b/net-analyzer/rrdtool/files/rrdtool-1.4.8-disable-rrd_graph.patch
@@ -0,0 +1,227 @@
+--- a/bindings/perl-shared/RRDs.xs
++++ b/bindings/perl-shared/RRDs.xs
+@@ -189,6 +189,7 @@
+ OUTPUT:
+ RETVAL
+
++#ifdef HAVE_RRD_GRAPH
+ SV *
+ rrd_graph(...)
+ PROTOTYPE: @
+@@ -235,6 +236,8 @@
+ PUSHs(sv_2mortal(newSViv(xsize)));
+ PUSHs(sv_2mortal(newSViv(ysize)));
+
++#endif /* HAVE_RRD_GRAPH */
++
+ SV *
+ rrd_fetch(...)
+ PROTOTYPE: @
+@@ -313,6 +316,7 @@
+ PUSHs(sv_2mortal(newSVuv(start_tmp)));
+ PUSHs(sv_2mortal(newSVuv(end_tmp)));
+
++#ifdef HAVE_RRD_GRAPH
+ int
+ rrd_xport(...)
+ PROTOTYPE: @
+@@ -371,6 +375,8 @@
+ PUSHs(sv_2mortal(newRV_noinc((SV*)names)));
+ PUSHs(sv_2mortal(newRV_noinc((SV*)retar)));
+
++#endif /* HAVE_RRD_GRAPH */
++
+ SV*
+ rrd_info(...)
+ PROTOTYPE: @
+@@ -397,6 +403,7 @@
+ OUTPUT:
+ RETVAL
+
++#ifdef HAVE_RRD_GRAPH
+ SV*
+ rrd_graphv(...)
+ PROTOTYPE: @
+@@ -410,6 +417,8 @@
+ OUTPUT:
+ RETVAL
+
++#endif /* HAVE_RRD_GRAPH */
++
+ int
+ rrd_dump(...)
+ PROTOTYPE: @
+--- a/bindings/lua/rrdlua.c
++++ b/bindings/lua/rrdlua.c
+@@ -267,6 +267,7 @@
+ return 1;
+ }
+
++#ifdef HAVE_RRD_GRAPH
+ static int
+ lua_rrd_graph (lua_State * L)
+ {
+@@ -291,6 +292,7 @@
+ rrd_freemem(calcpr);
+ return 3;
+ }
++#endif /* HAVE_RRD_GRAPH */
+
+ static int
+ lua_rrd_flushcached(lua_State *L)
+@@ -305,11 +307,13 @@
+ return lua_rrd_infocall(L, "info", rrd_info);
+ }
+
++#ifdef HAVE_RRD_GRAPH
+ static int
+ lua_rrd_graphv (lua_State * L)
+ {
+ return lua_rrd_infocall(L, "graphv", rrd_graph_v);
+ }
++#endif /* HAVE_RRD_GRAPH */
+
+ static int
+ lua_rrd_updatev (lua_State * L)
+@@ -347,7 +351,9 @@
+ {"dump", lua_rrd_dump},
+ {"fetch", lua_rrd_fetch},
+ {"first", lua_rrd_first},
++#ifdef HAVE_RRD_GRAPH
+ {"graph", lua_rrd_graph},
++#endif /* HAVE_RRD_GRAPH */
+ {"last", lua_rrd_last},
+ {"resize", lua_rrd_resize},
+ {"restore", lua_rrd_restore},
+@@ -357,7 +363,9 @@
+ #if defined(DINF)
+ {"info", lua_rrd_info},
+ {"updatev", lua_rrd_updatev},
++#ifdef HAVE_RRD_GRAPH
+ {"graphv", lua_rrd_graphv},
++#endif /* HAVE_RRD_GRAPH */
+ #endif
+ {NULL, NULL}
+ };
+--- a/bindings/python/rrdtoolmodule.c
++++ b/bindings/python/rrdtoolmodule.c
+@@ -261,6 +261,7 @@
+ return r;
+ }
+
++#ifdef HAVE_RRD_GRAPH
+ static char PyRRD_graph__doc__[] =
+ "graph(args..): Create a graph based on data from one or several RRD\n"
+ " graph filename [-s|--start seconds] "
+@@ -327,6 +328,7 @@
+ destroy_args(&argv);
+ return r;
+ }
++#endif /* HAVE_RRD_GRAPH */
+
+ static char PyRRD_tune__doc__[] =
+ "tune(args...): Modify some basic properties of a Round Robin Database\n"
+@@ -503,6 +505,7 @@
+ return r;
+ }
+
++#ifdef HAVE_RRD_GRAPH
+ static char PyRRD_graphv__doc__[] =
+ "graphv is called in the same manner as graph";
+
+@@ -530,6 +533,7 @@
+ destroy_args(&argv);
+ return r;
+ }
++#endif /* HAVE_RRD_GRAPH */
+
+ static char PyRRD_updatev__doc__[] =
+ "updatev is called in the same manner as update";
+@@ -587,6 +591,7 @@
+ return r;
+ }
+
++#ifdef HAVE_RRD_GRAPH
+ static char PyRRD_xport__doc__[] =
+ "xport(args..): dictionary representation of data stored in RRDs\n"
+ " [-s|--start seconds] [-e|--end seconds] [-m|--maxrows rows]"
+@@ -664,6 +669,7 @@
+ destroy_args(&argv);
+ return r;
+ }
++#endif /* HAVE_RRD_GRAPH */
+
+ /* List of methods defined in the module */
+ #define meth(name, func, doc) {name, (PyCFunction)func, METH_VARARGS, doc}
+@@ -672,16 +678,22 @@
+ meth("create", PyRRD_create, PyRRD_create__doc__),
+ meth("update", PyRRD_update, PyRRD_update__doc__),
+ meth("fetch", PyRRD_fetch, PyRRD_fetch__doc__),
++#ifdef HAVE_RRD_GRAPH
+ meth("graph", PyRRD_graph, PyRRD_graph__doc__),
++#endif /* HAVE_RRD_GRAPH */
+ meth("tune", PyRRD_tune, PyRRD_tune__doc__),
+ meth("first", PyRRD_first, PyRRD_first__doc__),
+ meth("last", PyRRD_last, PyRRD_last__doc__),
+ meth("resize", PyRRD_resize, PyRRD_resize__doc__),
+ meth("info", PyRRD_info, PyRRD_info__doc__),
++#ifdef HAVE_RRD_GRAPH
+ meth("graphv", PyRRD_graphv, PyRRD_graphv__doc__),
++#endif /* HAVE_RRD_GRAPH */
+ meth("updatev", PyRRD_updatev, PyRRD_updatev__doc__),
+ meth("flushcached", PyRRD_flushcached, PyRRD_flushcached__doc__),
++#ifdef HAVE_RRD_GRAPH
+ meth("xport", PyRRD_xport, PyRRD_xport__doc__),
++#endif /* HAVE_RRD_GRAPH */
+ {NULL, NULL, 0, NULL}
+ };
+
+--- a/src/rrd_cgi.c
++++ b/src/rrd_cgi.c
+@@ -56,6 +56,7 @@
+ const char **);
+
+ /* call rrd_graph and insert appropriate image tag */
++#ifdef HAVE_RRD_GRAPH
+ char *drawgraph(
+ long,
+ const char **);
+@@ -64,6 +65,7 @@
+ char *drawprint(
+ long,
+ const char **);
++#endif /* HAVE_RRD_GRAPH */
+
+ /* pretty-print the <last></last> value for some.rrd via strftime() */
+ char *printtimelast(
+@@ -542,9 +544,13 @@
+ }
+ parse(&buffer, i, "<RRD::GETVAR", rrdgetvar);
+ parse(&buffer, i, "<RRD::GOODFOR", rrdgoodfor);
++#ifdef HAVE_RRD_GRAPH
+ parse(&buffer, i, "<RRD::GRAPH", drawgraph);
++#endif /* HAVE_RRD_GRAPH */
+ parse(&buffer, i, "<RRD::INCLUDE", includefile);
++#ifdef HAVE_RRD_GRAPH
+ parse(&buffer, i, "<RRD::PRINT", drawprint);
++#endif /* HAVE_RRD_GRAPH */
+ parse(&buffer, i, "<RRD::SETCONSTVAR", rrdsetvarconst);
+ parse(&buffer, i, "<RRD::SETENV", rrdsetenv);
+ parse(&buffer, i, "<RRD::SETVAR", rrdsetvar);
+@@ -929,7 +935,7 @@
+ }
+
+
+-
++#ifdef HAVE_RRD_GRAPH
+ char *drawgraph(
+ long argc,
+ const char **args)
+@@ -961,6 +967,7 @@
+ }
+ return NULL;
+ }
++#endif /* HAVE_RRD_GRAPH */
+
+ char *drawprint(
+ long argc,
diff --git a/net-analyzer/rrdtool/files/rrdtool-1.4.9-disable-rrd_graph-cgi.patch b/net-analyzer/rrdtool/files/rrdtool-1.4.9-disable-rrd_graph-cgi.patch
new file mode 100644
index 00000000000..67f0ce2fb29
--- /dev/null
+++ b/net-analyzer/rrdtool/files/rrdtool-1.4.9-disable-rrd_graph-cgi.patch
@@ -0,0 +1,49 @@
+--- a/src/rrd_cgi.c
++++ b/src/rrd_cgi.c
+@@ -56,6 +56,7 @@
+ const char **);
+
+ /* call rrd_graph and insert appropriate image tag */
++#ifdef HAVE_RRD_GRAPH
+ char *drawgraph(
+ long,
+ const char **);
+@@ -64,6 +65,7 @@
+ char *drawprint(
+ long,
+ const char **);
++#endif /* HAVE_RRD_GRAPH */
+
+ /* pretty-print the <last></last> value for some.rrd via strftime() */
+ char *printtimelast(
+@@ -542,9 +544,13 @@
+ }
+ parse(&buffer, i, "<RRD::GETVAR", rrdgetvar);
+ parse(&buffer, i, "<RRD::GOODFOR", rrdgoodfor);
++#ifdef HAVE_RRD_GRAPH
+ parse(&buffer, i, "<RRD::GRAPH", drawgraph);
++#endif /* HAVE_RRD_GRAPH */
+ parse(&buffer, i, "<RRD::INCLUDE", includefile);
++#ifdef HAVE_RRD_GRAPH
+ parse(&buffer, i, "<RRD::PRINT", drawprint);
++#endif /* HAVE_RRD_GRAPH */
+ parse(&buffer, i, "<RRD::SETCONSTVAR", rrdsetvarconst);
+ parse(&buffer, i, "<RRD::SETENV", rrdsetenv);
+ parse(&buffer, i, "<RRD::SETVAR", rrdsetvar);
+@@ -929,7 +935,7 @@
+ }
+
+
+-
++#ifdef HAVE_RRD_GRAPH
+ char *drawgraph(
+ long argc,
+ const char **args)
+@@ -961,6 +967,7 @@
+ }
+ return NULL;
+ }
++#endif /* HAVE_RRD_GRAPH */
+
+ char *drawprint(
+ long argc,
diff --git a/net-analyzer/rrdtool/files/rrdtool-1.4.9-disable-rrd_graph-lua.patch b/net-analyzer/rrdtool/files/rrdtool-1.4.9-disable-rrd_graph-lua.patch
new file mode 100644
index 00000000000..be8095c438b
--- /dev/null
+++ b/net-analyzer/rrdtool/files/rrdtool-1.4.9-disable-rrd_graph-lua.patch
@@ -0,0 +1,52 @@
+--- a/bindings/lua/rrdlua.c
++++ b/bindings/lua/rrdlua.c
+@@ -267,6 +267,7 @@
+ return 1;
+ }
+
++#ifdef HAVE_RRD_GRAPH
+ static int
+ lua_rrd_graph (lua_State * L)
+ {
+@@ -291,6 +292,7 @@
+ rrd_freemem(calcpr);
+ return 3;
+ }
++#endif /* HAVE_RRD_GRAPH */
+
+ static int
+ lua_rrd_flushcached(lua_State *L)
+@@ -305,11 +307,13 @@
+ return lua_rrd_infocall(L, "info", rrd_info);
+ }
+
++#ifdef HAVE_RRD_GRAPH
+ static int
+ lua_rrd_graphv (lua_State * L)
+ {
+ return lua_rrd_infocall(L, "graphv", rrd_graph_v);
+ }
++#endif /* HAVE_RRD_GRAPH */
+
+ static int
+ lua_rrd_updatev (lua_State * L)
+@@ -347,7 +351,9 @@
+ {"dump", lua_rrd_dump},
+ {"fetch", lua_rrd_fetch},
+ {"first", lua_rrd_first},
++#ifdef HAVE_RRD_GRAPH
+ {"graph", lua_rrd_graph},
++#endif /* HAVE_RRD_GRAPH */
+ {"last", lua_rrd_last},
+ {"resize", lua_rrd_resize},
+ {"restore", lua_rrd_restore},
+@@ -357,7 +363,9 @@
+ #if defined(DINF)
+ {"info", lua_rrd_info},
+ {"updatev", lua_rrd_updatev},
++#ifdef HAVE_RRD_GRAPH
+ {"graphv", lua_rrd_graphv},
++#endif /* HAVE_RRD_GRAPH */
+ #endif
+ {NULL, NULL}
+ };
diff --git a/net-analyzer/rrdtool/files/rrdtool-1.4.9-disable-rrd_graph-perl.patch b/net-analyzer/rrdtool/files/rrdtool-1.4.9-disable-rrd_graph-perl.patch
new file mode 100644
index 00000000000..c68ca24a3e2
--- /dev/null
+++ b/net-analyzer/rrdtool/files/rrdtool-1.4.9-disable-rrd_graph-perl.patch
@@ -0,0 +1,53 @@
+--- a/bindings/perl-shared/RRDs.xs
++++ b/bindings/perl-shared/RRDs.xs
+@@ -189,6 +189,7 @@
+ OUTPUT:
+ RETVAL
+
++#ifdef HAVE_RRD_GRAPH
+ SV *
+ rrd_graph(...)
+ PROTOTYPE: @
+@@ -235,6 +236,8 @@
+ PUSHs(sv_2mortal(newSViv(xsize)));
+ PUSHs(sv_2mortal(newSViv(ysize)));
+
++#endif /* HAVE_RRD_GRAPH */
++
+ SV *
+ rrd_fetch(...)
+ PROTOTYPE: @
+@@ -313,6 +316,7 @@
+ PUSHs(sv_2mortal(newSVuv(start_tmp)));
+ PUSHs(sv_2mortal(newSVuv(end_tmp)));
+
++#ifdef HAVE_RRD_GRAPH
+ int
+ rrd_xport(...)
+ PROTOTYPE: @
+@@ -371,6 +375,8 @@
+ PUSHs(sv_2mortal(newRV_noinc((SV*)names)));
+ PUSHs(sv_2mortal(newRV_noinc((SV*)retar)));
+
++#endif /* HAVE_RRD_GRAPH */
++
+ SV*
+ rrd_info(...)
+ PROTOTYPE: @
+@@ -397,6 +403,7 @@
+ OUTPUT:
+ RETVAL
+
++#ifdef HAVE_RRD_GRAPH
+ SV*
+ rrd_graphv(...)
+ PROTOTYPE: @
+@@ -410,6 +417,8 @@
+ OUTPUT:
+ RETVAL
+
++#endif /* HAVE_RRD_GRAPH */
++
+ int
+ rrd_dump(...)
+ PROTOTYPE: @
diff --git a/net-analyzer/rrdtool/files/rrdtool-1.4.9-disable-rrd_graph-python.patch b/net-analyzer/rrdtool/files/rrdtool-1.4.9-disable-rrd_graph-python.patch
new file mode 100644
index 00000000000..72be8163330
--- /dev/null
+++ b/net-analyzer/rrdtool/files/rrdtool-1.4.9-disable-rrd_graph-python.patch
@@ -0,0 +1,64 @@
+--- a/bindings/python/rrdtoolmodule.c
++++ b/bindings/python/rrdtoolmodule.c
+@@ -261,6 +261,7 @@
+ return r;
+ }
+
++#ifdef HAVE_RRD_GRAPH
+ static char PyRRD_graph__doc__[] =
+ "graph(args..): Create a graph based on data from one or several RRD\n"
+ " graph filename [-s|--start seconds] "
+@@ -327,6 +328,7 @@
+ destroy_args(&argv);
+ return r;
+ }
++#endif /* HAVE_RRD_GRAPH */
+
+ static char PyRRD_tune__doc__[] =
+ "tune(args...): Modify some basic properties of a Round Robin Database\n"
+@@ -503,6 +505,7 @@
+ return r;
+ }
+
++#ifdef HAVE_RRD_GRAPH
+ static char PyRRD_graphv__doc__[] =
+ "graphv is called in the same manner as graph";
+
+@@ -530,6 +533,7 @@
+ destroy_args(&argv);
+ return r;
+ }
++#endif /* HAVE_RRD_GRAPH */
+
+ static char PyRRD_updatev__doc__[] =
+ "updatev is called in the same manner as update";
+@@ -587,6 +591,7 @@
+ return r;
+ }
+
++#ifdef HAVE_RRD_GRAPH
+ static char PyRRD_xport__doc__[] =
+ "xport(args..): dictionary representation of data stored in RRDs\n"
+ " [-s|--start seconds] [-e|--end seconds] [-m|--maxrows rows]"
+@@ -664,6 +669,7 @@
+ destroy_args(&argv);
+ return r;
+ }
++#endif /* HAVE_RRD_GRAPH */
+
+ /* List of methods defined in the module */
+ #define meth(name, func, doc) {name, (PyCFunction)func, METH_VARARGS, doc}
+@@ -677,11 +683,11 @@
+ meth("last", PyRRD_last, PyRRD_last__doc__),
+ meth("resize", PyRRD_resize, PyRRD_resize__doc__),
+ meth("info", PyRRD_info, PyRRD_info__doc__),
+-#ifdef HAVE_RRD_GRAPH
++#ifdef HAVE_RRD_GRAPH
+ meth("graph", PyRRD_graph, PyRRD_graph__doc__),
+ meth("graphv", PyRRD_graphv, PyRRD_graphv__doc__),
+ meth("xport", PyRRD_xport, PyRRD_xport__doc__),
+-#endif
++#endif /* HAVE_RRD_GRAPH */
+ meth("updatev", PyRRD_updatev, PyRRD_updatev__doc__),
+ meth("flushcached", PyRRD_flushcached, PyRRD_flushcached__doc__),
+ {NULL, NULL, 0, NULL}
diff --git a/net-analyzer/rrdtool/files/rrdtool-1.5.0_rc1-disable-rrd_graph-lua.patch b/net-analyzer/rrdtool/files/rrdtool-1.5.0_rc1-disable-rrd_graph-lua.patch
new file mode 100644
index 00000000000..6b3a3abf26b
--- /dev/null
+++ b/net-analyzer/rrdtool/files/rrdtool-1.5.0_rc1-disable-rrd_graph-lua.patch
@@ -0,0 +1,12 @@
+--- a/bindings/lua/rrdlua.c
++++ b/bindings/lua/rrdlua.c
+@@ -367,7 +367,9 @@
+ #if defined(DINF)
+ {"info", lua_rrd_info},
+ {"updatev", lua_rrd_updatev},
++#ifdef HAVE_RRD_GRAPH
+ {"graphv", lua_rrd_graphv},
++#endif /* HAVE_RRD_GRAPH */
+ #endif
+ {NULL, NULL}
+ };
diff --git a/net-analyzer/rrdtool/files/rrdtool-1.5.0_rc1-disable-rrd_graph-python.patch b/net-analyzer/rrdtool/files/rrdtool-1.5.0_rc1-disable-rrd_graph-python.patch
new file mode 100644
index 00000000000..db3daaf4734
--- /dev/null
+++ b/net-analyzer/rrdtool/files/rrdtool-1.5.0_rc1-disable-rrd_graph-python.patch
@@ -0,0 +1,38 @@
+--- a/bindings/python/rrdtoolmodule.c
++++ b/bindings/python/rrdtoolmodule.c
+@@ -675,8 +676,6 @@
+ return r;
+ }
+
+-#endif
+-
+ static char PyRRD_dump__doc__[] =
+ "dump - dump an RRD to XML\n"
+ "[--header|-h {none,xsd,dtd}] [--no-header]file.rrd [file.xml]";
+@@ -704,6 +703,7 @@
+ destroy_args(&argv);
+ return r;
+ }
++#endif /* HAVE_RRD_GRAPH */
+
+ /* List of methods defined in the module */
+ #define meth(name, func, doc) {name, (PyCFunction)func, METH_VARARGS, doc}
+@@ -717,14 +717,16 @@
+ meth("last", PyRRD_last, PyRRD_last__doc__),
+ meth("resize", PyRRD_resize, PyRRD_resize__doc__),
+ meth("info", PyRRD_info, PyRRD_info__doc__),
+-#ifdef HAVE_RRD_GRAPH
++#ifdef HAVE_RRD_GRAPH
+ meth("graph", PyRRD_graph, PyRRD_graph__doc__),
+ meth("graphv", PyRRD_graphv, PyRRD_graphv__doc__),
+ meth("xport", PyRRD_xport, PyRRD_xport__doc__),
+-#endif
++#endif /* HAVE_RRD_GRAPH */
+ meth("updatev", PyRRD_updatev, PyRRD_updatev__doc__),
+ meth("flushcached", PyRRD_flushcached, PyRRD_flushcached__doc__),
++#ifdef HAVE_RRD_GRAPH
+ meth("dump", PyRRD_dump, PyRRD_dump__doc__),
++#endif /* HAVE_RRD_GRAPH */
+ {NULL, NULL, 0, NULL}
+ };
+
diff --git a/net-analyzer/rrdtool/files/rrdtool-1.5.3-rrd_rados.h b/net-analyzer/rrdtool/files/rrdtool-1.5.3-rrd_rados.h
new file mode 100644
index 00000000000..135536af1c7
--- /dev/null
+++ b/net-analyzer/rrdtool/files/rrdtool-1.5.3-rrd_rados.h
@@ -0,0 +1,24 @@
+#ifndef RRD_RADOS_H
+#define RRD_RADOS_H
+
+#include <rados/librados.h>
+
+#include "rrd_tool.h"
+
+typedef struct rrd_rados_t {
+ rados_t cluster;
+ rados_ioctx_t ioctx;
+ const char *oid;
+ rados_write_op_t write_op;
+ int lock;
+} rrd_rados_t;
+
+rrd_rados_t* rrd_rados_open(const char *oid);
+int rrd_rados_close(rrd_rados_t *rrd_rados);
+int rrd_rados_create(const char *oid, rrd_t *rrd);
+size_t rrd_rados_read(rrd_rados_t *rrd_rados, void *data, size_t len, uint64_t offset);
+size_t rrd_rados_write(rrd_rados_t *rrd_rados, const void *data, size_t len, uint64_t offset);
+int rrd_rados_flush(rrd_rados_t *rrd_rados);
+int rrd_rados_lock(rrd_rados_t *rrd_rados);
+
+#endif
diff --git a/net-analyzer/rrdtool/files/rrdtool-1.5.3-rrdrados.pod b/net-analyzer/rrdtool/files/rrdtool-1.5.3-rrdrados.pod
new file mode 100644
index 00000000000..0c645548a20
--- /dev/null
+++ b/net-analyzer/rrdtool/files/rrdtool-1.5.3-rrdrados.pod
@@ -0,0 +1,68 @@
+=head1 NAME
+
+rrdrados - Creating, updating and retrieving RRD files from Ceph
+
+=head1 SYNOPSIS
+
+E<lt>rrdfileE<gt> = B<ceph//E<lt>nameE<gt>>
+
+
+=head1 DESCRIPTION
+
+This module adds support for creating, updating and retrieving RRD files
+directly from a Ceph cluster using librados.
+
+It adds a ceph// prefix to RRD file name which is used to instruct rrdtool to
+operate on a file that is stored in Ceph.
+
+Currently the module expects to find the Ceph configuration file in the default
+location at /etc/ceph/ceph.conf. By default it uses Ceph client ID "admin" and a
+Ceph pool named "rrd".
+
+
+=head1 ENVIRONMENT VARIABLES
+
+=over 4
+
+=item B<CEPH_ID>
+
+Sets the Ceph Client ID to use when connecting. By default the client ID "admin"
+is used.
+
+=item B<CEPH_POOL>
+
+Sets the name of the Ceph Pool to connect to. By default, the pool "rrd" is
+used.
+
+=back
+
+
+=head1 EXAMPLES
+
+B<Creating an RRD file on Ceph>
+
+ rrdtool create ceph//temperature.rrd --step 300 \
+ DS:temp:GAUGE:600:-273:5000 \
+ RRA:AVERAGE:0.5:1:1200 \
+ RRA:MIN:0.5:12:2400 \
+ RRA:MAX:0.5:12:2400 \
+ RRA:AVERAGE:0.5:12:2400
+
+
+B<Importing an existing RRD into Ceph>
+
+ rrdtool dump existing.rrd | rrdtool restore - ceph//new.rrd
+
+Or you could also copy the RRD file directly into Ceph using the rados command
+line utility.
+
+
+B<Retrieving RRD data from Ceph>
+
+ rrdtool fetch ceph//file.rrd AVERAGE
+
+
+=head1 AUTHOR
+
+Simon Boulet E<lt>simon@nostalgeek.comE<gt>
+
diff --git a/net-analyzer/rrdtool/metadata.xml b/net-analyzer/rrdtool/metadata.xml
new file mode 100644
index 00000000000..2b0a73cda25
--- /dev/null
+++ b/net-analyzer/rrdtool/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>netmon</herd>
+<use>
+<flag name='graph'>Enable support for graphing functions</flag>
+<flag name='rados'>Enable support for librados from <pkg>sys-cluster/ceph</pkg></flag>
+<flag name='rrdcgi'>Build rrdcgi support</flag>
+</use>
+</pkgmetadata>
diff --git a/net-analyzer/rrdtool/rrdtool-1.4.8-r1.ebuild b/net-analyzer/rrdtool/rrdtool-1.4.8-r1.ebuild
new file mode 100644
index 00000000000..1c5979229dc
--- /dev/null
+++ b/net-analyzer/rrdtool/rrdtool-1.4.8-r1.ebuild
@@ -0,0 +1,161 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+DISTUTILS_OPTIONAL="true"
+GENTOO_DEPEND_ON_PERL="no"
+PYTHON_COMPAT=( python2_7 )
+inherit eutils distutils-r1 flag-o-matic multilib perl-module autotools
+
+DESCRIPTION="A system to store and display time-series data"
+HOMEPAGE="http://oss.oetiker.ch/rrdtool/"
+SRC_URI="http://oss.oetiker.ch/rrdtool/pub/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~x86-fbsd ~amd64-linux ~ia64-linux ~x86-linux ~x86-macos ~x86-solaris"
+IUSE="dbi doc +graph lua perl python rrdcgi ruby static-libs tcl tcpd"
+
+CDEPEND="
+ >=dev-libs/glib-2.28.7:2[static-libs(+)?]
+ >=dev-libs/libxml2-2.7.8:2[static-libs(+)?]
+ dbi? ( dev-db/libdbi[static-libs(+)?] )
+ graph? (
+ >=media-libs/libpng-1.5.10:0=[static-libs(+)?]
+ >=x11-libs/cairo-1.10.2[svg,static-libs(+)?]
+ >=x11-libs/pango-1.28
+ )
+ lua? ( dev-lang/lua:*[deprecated] )
+ perl? ( dev-lang/perl:= )
+ python? ( ${PYTHON_DEPS} )
+ tcl? ( dev-lang/tcl:0= )
+ tcpd? ( sys-apps/tcp-wrappers )
+"
+
+DEPEND="
+ ${CDEPEND}
+ sys-apps/groff
+ virtual/pkgconfig
+ virtual/awk
+"
+RDEPEND="
+ ${CDEPEND}
+"
+PDEPEND="
+ ruby? ( dev-ruby/rrdtool-bindings )
+"
+
+python_compile() {
+ cd bindings/python || die
+ distutils-r1_python_compile
+}
+
+python_install() {
+ cd bindings/python || die
+ distutils-r1_python_install
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PN}-1.4.7-configure.ac.patch
+
+ # bug 456810
+ # no time to sleep
+ sed -i \
+ -e 's|$LUA_CFLAGS|IGNORE_THIS_BAD_TEST|g' \
+ -e 's|^sleep 1$||g' \
+ configure.ac || die
+
+ # Python bindings are built/installed manually
+ sed -i \
+ -e '/^all-local:/s| @COMP_PYTHON@||' \
+ bindings/Makefile.am || die
+
+ eautoreconf
+}
+
+src_configure() {
+ filter-flags -ffast-math
+
+ export RRDDOCDIR=${EPREFIX}/usr/share/doc/${PF}
+
+ # to solve bug #260380
+ [[ ${CHOST} == *-solaris* ]] && append-flags -D__EXTENSIONS__
+
+ # Stub configure.ac
+ local myconf=()
+ if ! use tcpd; then
+ myconf+=( "--disable-libwrap" )
+ fi
+ if ! use dbi; then
+ myconf+=( "--disable-libdbi" )
+ fi
+
+ econf \
+ $(use_enable graph rrd_graph) \
+ $(use_enable lua lua-site-install) \
+ $(use_enable lua) \
+ $(use_enable perl perl-site-install) \
+ $(use_enable perl) \
+ $(use_enable python) \
+ $(use_enable rrdcgi) \
+ $(use_enable static-libs static) \
+ $(use_enable tcl) \
+ $(use_with tcl tcllib "${EPREFIX}"/usr/$(get_libdir)) \
+ --with-perl-options=INSTALLDIRS=vendor \
+ --disable-ruby-site-install \
+ --disable-ruby \
+ ${myconf[@]}
+}
+
+src_compile() {
+ default
+
+ use python && distutils-r1_src_compile
+}
+
+src_install() {
+ default
+
+ if ! use doc ; then
+ rm -rf "${ED}"usr/share/doc/${PF}/{html,txt}
+ fi
+
+ if use !rrdcgi ; then
+ # uses rrdcgi, causes invalid shebang error in Prefix, useless
+ # without rrdcgi installed
+ rm -f "${ED}"usr/share/${PN}/examples/cgi-demo.cgi
+ fi
+
+ if use perl ; then
+ perl_delete_localpod
+ perl_delete_packlist
+ fi
+
+ dodoc CHANGES CONTRIBUTORS NEWS README THREADS TODO
+
+ find "${ED}"usr -name '*.la' -exec rm -f {} +
+
+ keepdir /var/lib/rrdcached/journal/
+ keepdir /var/lib/rrdcached/db/
+
+ newconfd "${FILESDIR}"/rrdcached.confd rrdcached
+ newinitd "${FILESDIR}"/rrdcached.init rrdcached
+
+ use python && distutils-r1_src_install
+}
+
+pkg_postinst() {
+ ewarn "Since version 1.3, rrdtool dump emits completely legal xml. Basically this"
+ ewarn "means that it contains an xml header and a DOCTYPE definition. Unfortunately"
+ ewarn "this causes older versions of rrdtool restore to be unhappy."
+ ewarn
+ ewarn "To restore a new dump with an old rrdtool restore version, either remove"
+ ewarn "the xml header and the doctype by hand (both on the first line of the dump)"
+ ewarn "or use rrdtool dump --no-header."
+ ewarn
+ ewarn ">=net-analyzer/rrdtool-1.3 does not have any default font bundled. Thus if"
+ ewarn ">you've upgraded from rrdtool-1.2.x and don't have any font installed to make"
+ ewarn ">lables visible, please, install some font, e.g. media-fonts/dejavu."
+}
diff --git a/net-analyzer/rrdtool/rrdtool-1.4.8-r3.ebuild b/net-analyzer/rrdtool/rrdtool-1.4.8-r3.ebuild
new file mode 100644
index 00000000000..e12968e8ee8
--- /dev/null
+++ b/net-analyzer/rrdtool/rrdtool-1.4.8-r3.ebuild
@@ -0,0 +1,163 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+DISTUTILS_OPTIONAL="true"
+GENTOO_DEPEND_ON_PERL="no"
+PYTHON_COMPAT=( python2_7 )
+inherit eutils distutils-r1 flag-o-matic multilib perl-module autotools
+
+DESCRIPTION="A system to store and display time-series data"
+HOMEPAGE="http://oss.oetiker.ch/rrdtool/"
+SRC_URI="http://oss.oetiker.ch/rrdtool/pub/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~amd64-linux ~ia64-linux ~x86-linux ~x86-macos ~x86-solaris"
+IUSE="dbi doc graph lua perl python rrdcgi ruby static-libs tcl tcpd"
+
+CDEPEND="
+ >=dev-libs/glib-2.28.7:2[static-libs(+)?]
+ >=dev-libs/libxml2-2.7.8:2[static-libs(+)?]
+ dbi? ( dev-db/libdbi[static-libs(+)?] )
+ graph? (
+ >=media-libs/libpng-1.5.10:0=[static-libs(+)?]
+ >=x11-libs/cairo-1.10.2[svg,static-libs(+)?]
+ >=x11-libs/pango-1.28
+ )
+ lua? ( dev-lang/lua:*[deprecated] )
+ perl? ( dev-lang/perl:= )
+ python? ( ${PYTHON_DEPS} )
+ tcl? ( dev-lang/tcl:0= )
+ tcpd? ( sys-apps/tcp-wrappers )
+"
+
+DEPEND="
+ ${CDEPEND}
+ sys-apps/groff
+ virtual/pkgconfig
+ virtual/awk
+"
+RDEPEND="
+ ${CDEPEND}
+"
+PDEPEND="
+ ruby? ( dev-ruby/rrdtool-bindings )
+"
+
+python_compile() {
+ cd bindings/python || die
+ distutils-r1_python_compile
+}
+
+python_install() {
+ cd bindings/python || die
+ distutils-r1_python_install
+}
+
+src_prepare() {
+ epatch \
+ "${FILESDIR}"/${PN}-1.4.7-configure.ac.patch \
+ "${FILESDIR}"/${P}-disable-rrd_graph.patch
+
+ # bug 456810
+ # no time to sleep
+ sed -i \
+ -e 's|$LUA_CFLAGS|IGNORE_THIS_BAD_TEST|g' \
+ -e 's|^sleep 1$||g' \
+ configure.ac || die
+
+ # Python bindings are built/installed manually
+ sed -i \
+ -e '/^all-local:/s| @COMP_PYTHON@||' \
+ bindings/Makefile.am || die
+
+ eautoreconf
+}
+
+src_configure() {
+ filter-flags -ffast-math
+
+ export RRDDOCDIR=${EPREFIX}/usr/share/doc/${PF}
+
+ # to solve bug #260380
+ [[ ${CHOST} == *-solaris* ]] && append-flags -D__EXTENSIONS__
+
+ # Stub configure.ac
+ local myconf=()
+ if ! use tcpd; then
+ myconf+=( "--disable-libwrap" )
+ fi
+ if ! use dbi; then
+ myconf+=( "--disable-libdbi" )
+ fi
+
+ econf \
+ $(use_enable graph rrd_graph) \
+ $(use_enable lua lua-site-install) \
+ $(use_enable lua) \
+ $(use_enable perl perl-site-install) \
+ $(use_enable perl) \
+ $(use_enable python) \
+ $(use_enable rrdcgi) \
+ $(use_enable static-libs static) \
+ $(use_enable tcl) \
+ $(use_with tcl tcllib "${EPREFIX}"/usr/$(get_libdir)) \
+ --with-perl-options=INSTALLDIRS=vendor \
+ --disable-ruby-site-install \
+ --disable-ruby \
+ ${myconf[@]}
+}
+
+src_compile() {
+ default
+
+ use python && distutils-r1_src_compile
+}
+
+src_install() {
+ default
+
+ if ! use doc ; then
+ rm -rf "${ED}"usr/share/doc/${PF}/{html,txt}
+ fi
+
+ if use !rrdcgi ; then
+ # uses rrdcgi, causes invalid shebang error in Prefix, useless
+ # without rrdcgi installed
+ rm -f "${ED}"usr/share/${PN}/examples/cgi-demo.cgi
+ fi
+
+ if use perl ; then
+ perl_delete_localpod
+ perl_delete_packlist
+ fi
+
+ dodoc CHANGES CONTRIBUTORS NEWS README THREADS TODO
+
+ find "${ED}"usr -name '*.la' -exec rm -f {} +
+
+ keepdir /var/lib/rrdcached/journal/
+ keepdir /var/lib/rrdcached/db/
+
+ newconfd "${FILESDIR}"/rrdcached.confd rrdcached
+ newinitd "${FILESDIR}"/rrdcached.init rrdcached
+
+ use python && distutils-r1_src_install
+}
+
+pkg_postinst() {
+ ewarn "Since version 1.3, rrdtool dump emits completely legal xml. Basically this"
+ ewarn "means that it contains an xml header and a DOCTYPE definition. Unfortunately"
+ ewarn "this causes older versions of rrdtool restore to be unhappy."
+ ewarn
+ ewarn "To restore a new dump with an old rrdtool restore version, either remove"
+ ewarn "the xml header and the doctype by hand (both on the first line of the dump)"
+ ewarn "or use rrdtool dump --no-header."
+ ewarn
+ ewarn ">=net-analyzer/rrdtool-1.3 does not have any default font bundled. Thus if"
+ ewarn ">you've upgraded from rrdtool-1.2.x and don't have any font installed to make"
+ ewarn ">lables visible, please, install some font, e.g. media-fonts/dejavu."
+}
diff --git a/net-analyzer/rrdtool/rrdtool-1.4.9.ebuild b/net-analyzer/rrdtool/rrdtool-1.4.9.ebuild
new file mode 100644
index 00000000000..057615f37d1
--- /dev/null
+++ b/net-analyzer/rrdtool/rrdtool-1.4.9.ebuild
@@ -0,0 +1,166 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+DISTUTILS_OPTIONAL="true"
+GENTOO_DEPEND_ON_PERL="no"
+PYTHON_COMPAT=( python2_7 )
+inherit eutils distutils-r1 flag-o-matic multilib perl-module autotools
+
+DESCRIPTION="A system to store and display time-series data"
+HOMEPAGE="http://oss.oetiker.ch/rrdtool/"
+SRC_URI="http://oss.oetiker.ch/rrdtool/pub/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~amd64-linux ~ia64-linux ~x86-linux ~x86-macos ~x86-solaris"
+IUSE="dbi doc graph lua perl python rrdcgi ruby static-libs tcl tcpd"
+
+CDEPEND="
+ >=dev-libs/glib-2.28.7:2[static-libs(+)?]
+ >=dev-libs/libxml2-2.7.8:2[static-libs(+)?]
+ dbi? ( dev-db/libdbi[static-libs(+)?] )
+ graph? (
+ >=media-libs/libpng-1.5.10:0=[static-libs(+)?]
+ >=x11-libs/cairo-1.10.2[svg,static-libs(+)?]
+ >=x11-libs/pango-1.28
+ )
+ lua? ( dev-lang/lua:*[deprecated] )
+ perl? ( dev-lang/perl:= )
+ python? ( ${PYTHON_DEPS} )
+ tcl? ( dev-lang/tcl:0= )
+ tcpd? ( sys-apps/tcp-wrappers )
+"
+
+DEPEND="
+ ${CDEPEND}
+ sys-apps/groff
+ virtual/pkgconfig
+ virtual/awk
+"
+RDEPEND="
+ ${CDEPEND}
+"
+PDEPEND="
+ ruby? ( ~dev-ruby/rrdtool-bindings-${PV} )
+"
+
+python_compile() {
+ cd bindings/python || die
+ distutils-r1_python_compile
+}
+
+python_install() {
+ cd bindings/python || die
+ distutils-r1_python_install
+}
+
+src_prepare() {
+ epatch \
+ "${FILESDIR}"/${PN}-1.4.7-configure.ac.patch \
+ "${FILESDIR}"/${PN}-1.4.9-disable-rrd_graph-cgi.patch \
+ "${FILESDIR}"/${PN}-1.4.9-disable-rrd_graph-perl.patch \
+ "${FILESDIR}"/${PN}-1.4.9-disable-rrd_graph-lua.patch \
+ "${FILESDIR}"/${PN}-1.4.9-disable-rrd_graph-python.patch
+
+ # bug 456810
+ # no time to sleep
+ sed -i \
+ -e 's|$LUA_CFLAGS|IGNORE_THIS_BAD_TEST|g' \
+ -e 's|^sleep 1$||g' \
+ configure.ac || die
+
+ # Python bindings are built/installed manually
+ sed -i \
+ -e '/^all-local:/s| @COMP_PYTHON@||' \
+ bindings/Makefile.am || die
+
+ eautoreconf
+}
+
+src_configure() {
+ filter-flags -ffast-math
+
+ export RRDDOCDIR=${EPREFIX}/usr/share/doc/${PF}
+
+ # to solve bug #260380
+ [[ ${CHOST} == *-solaris* ]] && append-flags -D__EXTENSIONS__
+
+ # Stub configure.ac
+ local myconf=()
+ if ! use tcpd; then
+ myconf+=( "--disable-libwrap" )
+ fi
+ if ! use dbi; then
+ myconf+=( "--disable-libdbi" )
+ fi
+
+ econf \
+ $(use_enable graph rrd_graph) \
+ $(use_enable lua lua-site-install) \
+ $(use_enable lua) \
+ $(use_enable perl perl-site-install) \
+ $(use_enable perl) \
+ $(use_enable python) \
+ $(use_enable rrdcgi) \
+ $(use_enable static-libs static) \
+ $(use_enable tcl) \
+ $(use_with tcl tcllib "${EPREFIX}"/usr/$(get_libdir)) \
+ --with-perl-options=INSTALLDIRS=vendor \
+ --disable-ruby-site-install \
+ --disable-ruby \
+ ${myconf[@]}
+}
+
+src_compile() {
+ default
+
+ use python && distutils-r1_src_compile
+}
+
+src_install() {
+ default
+
+ if ! use doc ; then
+ rm -rf "${ED}"usr/share/doc/${PF}/{html,txt}
+ fi
+
+ if use !rrdcgi ; then
+ # uses rrdcgi, causes invalid shebang error in Prefix, useless
+ # without rrdcgi installed
+ rm -f "${ED}"usr/share/${PN}/examples/cgi-demo.cgi
+ fi
+
+ if use perl ; then
+ perl_delete_localpod
+ perl_delete_packlist
+ fi
+
+ dodoc CHANGES CONTRIBUTORS NEWS README THREADS TODO
+
+ find "${ED}"usr -name '*.la' -exec rm -f {} +
+
+ keepdir /var/lib/rrdcached/journal/
+ keepdir /var/lib/rrdcached/db/
+
+ newconfd "${FILESDIR}"/rrdcached.confd rrdcached
+ newinitd "${FILESDIR}"/rrdcached.init rrdcached
+
+ use python && distutils-r1_src_install
+}
+
+pkg_postinst() {
+ ewarn "Since version 1.3, rrdtool dump emits completely legal xml. Basically this"
+ ewarn "means that it contains an xml header and a DOCTYPE definition. Unfortunately"
+ ewarn "this causes older versions of rrdtool restore to be unhappy."
+ ewarn
+ ewarn "To restore a new dump with an old rrdtool restore version, either remove"
+ ewarn "the xml header and the doctype by hand (both on the first line of the dump)"
+ ewarn "or use rrdtool dump --no-header."
+ ewarn
+ ewarn ">=net-analyzer/rrdtool-1.3 does not have any default font bundled. Thus if"
+ ewarn ">you've upgraded from rrdtool-1.2.x and don't have any font installed to make"
+ ewarn ">lables visible, please, install some font, e.g. media-fonts/dejavu."
+}
diff --git a/net-analyzer/rrdtool/rrdtool-1.5.3-r1.ebuild b/net-analyzer/rrdtool/rrdtool-1.5.3-r1.ebuild
new file mode 100644
index 00000000000..3e6efe53d62
--- /dev/null
+++ b/net-analyzer/rrdtool/rrdtool-1.5.3-r1.ebuild
@@ -0,0 +1,188 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+DISTUTILS_OPTIONAL=true
+DISTUTILS_SINGLE_IMPL=true
+GENTOO_DEPEND_ON_PERL=no
+PYTHON_COMPAT=( python2_7 )
+inherit autotools eutils perl-module distutils-r1 flag-o-matic multilib
+
+DESCRIPTION="A system to store and display time-series data"
+HOMEPAGE="http://oss.oetiker.ch/rrdtool/"
+SRC_URI="http://oss.oetiker.ch/rrdtool/pub/${P/_/-}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~s390 ~sh ~x86 ~x86-fbsd ~amd64-linux ~ia64-linux ~x86-linux ~x86-macos ~x86-solaris"
+IUSE="dbi doc graph lua perl python rados rrdcgi ruby static-libs tcl tcpd"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+CDEPEND="
+ >=dev-libs/glib-2.28.7:2[static-libs(+)?]
+ >=dev-libs/libxml2-2.7.8:2[static-libs(+)?]
+ dbi? ( dev-db/libdbi[static-libs(+)?] )
+ graph? (
+ >=media-libs/libpng-1.5.10:0=[static-libs(+)?]
+ >=x11-libs/cairo-1.10.2[svg,static-libs(+)?]
+ >=x11-libs/pango-1.28
+ )
+ lua? ( dev-lang/lua:*[deprecated] )
+ perl? ( dev-lang/perl:= )
+ python? ( ${PYTHON_DEPS} )
+ rados? ( sys-cluster/ceph )
+ tcl? ( dev-lang/tcl:0= )
+ tcpd? ( sys-apps/tcp-wrappers )
+"
+
+DEPEND="
+ ${CDEPEND}
+ sys-apps/groff
+ virtual/pkgconfig
+ virtual/awk
+"
+RDEPEND="
+ ${CDEPEND}
+"
+PDEPEND="
+ ruby? ( ~dev-ruby/rrdtool-bindings-${PV} )
+"
+
+S=${WORKDIR}/${P/_/-}
+
+python_compile() {
+ cd bindings/python || die
+ distutils-r1_python_compile
+}
+
+python_install() {
+ cd bindings/python || die
+ distutils-r1_python_install
+}
+
+pkg_setup() {
+ use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ # At the next version bump, please see if you actually still need these
+ # before adding versions
+ cp "${FILESDIR}"/${P}-rrd_rados.h src/rrd_rados.h || die
+ cp "${FILESDIR}"/${P}-rrdrados.pod doc/rrdrados.pod || die
+
+ epatch \
+ "${FILESDIR}"/${PN}-1.4.7-configure.ac.patch \
+ "${FILESDIR}"/${PN}-1.4.9-disable-rrd_graph-cgi.patch \
+ "${FILESDIR}"/${PN}-1.4.9-disable-rrd_graph-perl.patch \
+ "${FILESDIR}"/${PN}-1.5.0_rc1-disable-rrd_graph-lua.patch \
+ "${FILESDIR}"/${PN}-1.5.0_rc1-disable-rrd_graph-python.patch
+
+ # bug 456810
+ # no time to sleep
+ sed -i \
+ -e 's|$LUA_CFLAGS|IGNORE_THIS_BAD_TEST|g' \
+ -e 's|^sleep 1$||g' \
+ -e '/^dnl.*png/s|^dnl||g' \
+ configure.ac || die
+
+ # Python bindings are built/installed manually
+ sed -i \
+ -e '/^all-local:/s| @COMP_PYTHON@||' \
+ bindings/Makefile.am || die
+
+ echo ${PV/_rc*/} >> VERSION || die
+
+ export rd_cv_gcc_flag__Werror=no
+
+ eautoreconf
+}
+
+src_configure() {
+ filter-flags -ffast-math
+
+ export RRDDOCDIR=${EPREFIX}/usr/share/doc/${PF}
+
+ # to solve bug #260380
+ [[ ${CHOST} == *-solaris* ]] && append-flags -D__EXTENSIONS__
+
+ # Stub configure.ac
+ local myconf=()
+ if ! use tcpd; then
+ myconf+=( "--disable-libwrap" )
+ fi
+ if ! use dbi; then
+ myconf+=( "--disable-libdbi" )
+ fi
+ if ! use rados; then
+ myconf+=( "--disable-librados" )
+ fi
+
+ econf \
+ $(use_enable graph rrd_graph) \
+ $(use_enable lua lua-site-install) \
+ $(use_enable lua) \
+ $(use_enable perl perl-site-install) \
+ $(use_enable perl) \
+ $(use_enable python) \
+ $(use_enable rrdcgi) \
+ $(use_enable static-libs static) \
+ $(use_enable tcl) \
+ $(use_with tcl tcllib "${EPREFIX}"/usr/$(get_libdir)) \
+ --with-perl-options=INSTALLDIRS=vendor \
+ --disable-ruby-site-install \
+ --disable-ruby \
+ ${myconf[@]}
+}
+
+src_compile() {
+ default
+
+ use python && distutils-r1_src_compile
+}
+
+src_install() {
+ default
+
+ if ! use doc ; then
+ rm -rf "${ED}"usr/share/doc/${PF}/{html,txt}
+ fi
+
+ if use !rrdcgi ; then
+ # uses rrdcgi, causes invalid shebang error in Prefix, useless
+ # without rrdcgi installed
+ rm -f "${ED}"usr/share/${PN}/examples/cgi-demo.cgi
+ fi
+
+ if use perl ; then
+ perl_delete_localpod
+ perl_delete_packlist
+ fi
+
+ dodoc CHANGES CONTRIBUTORS NEWS THREADS TODO
+
+ find "${ED}"usr -name '*.la' -exec rm -f {} +
+
+ keepdir /var/lib/rrdcached/journal/
+ keepdir /var/lib/rrdcached/db/
+
+ newconfd "${FILESDIR}"/rrdcached.confd rrdcached
+ newinitd "${FILESDIR}"/rrdcached.init rrdcached
+
+ use python && distutils-r1_src_install
+}
+
+pkg_postinst() {
+ ewarn "Since version 1.3, rrdtool dump emits completely legal xml. Basically this"
+ ewarn "means that it contains an xml header and a DOCTYPE definition. Unfortunately"
+ ewarn "this causes older versions of rrdtool restore to be unhappy."
+ ewarn
+ ewarn "To restore a new dump with an old rrdtool restore version, either remove"
+ ewarn "the xml header and the doctype by hand (both on the first line of the dump)"
+ ewarn "or use rrdtool dump --no-header."
+ ewarn
+ ewarn ">=net-analyzer/rrdtool-1.3 does not have any default font bundled. Thus if"
+ ewarn ">you've upgraded from rrdtool-1.2.x and don't have any font installed to make"
+ ewarn ">lables visible, please, install some font, e.g. media-fonts/dejavu."
+}
diff --git a/net-analyzer/rrdtool/rrdtool-1.5.3.ebuild b/net-analyzer/rrdtool/rrdtool-1.5.3.ebuild
new file mode 100644
index 00000000000..67a517eb68e
--- /dev/null
+++ b/net-analyzer/rrdtool/rrdtool-1.5.3.ebuild
@@ -0,0 +1,175 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+DISTUTILS_OPTIONAL=true
+DISTUTILS_SINGLE_IMPL=true
+GENTOO_DEPEND_ON_PERL=no
+PYTHON_COMPAT=( python2_7 )
+inherit autotools eutils perl-module distutils-r1 flag-o-matic multilib
+
+DESCRIPTION="A system to store and display time-series data"
+HOMEPAGE="http://oss.oetiker.ch/rrdtool/"
+SRC_URI="http://oss.oetiker.ch/rrdtool/pub/${P/_/-}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~amd64-linux ~ia64-linux ~x86-linux ~x86-macos ~x86-solaris"
+IUSE="dbi doc graph lua perl python rrdcgi ruby static-libs tcl tcpd"
+
+CDEPEND="
+ >=dev-libs/glib-2.28.7:2[static-libs(+)?]
+ >=dev-libs/libxml2-2.7.8:2[static-libs(+)?]
+ dbi? ( dev-db/libdbi[static-libs(+)?] )
+ graph? (
+ >=media-libs/libpng-1.5.10:0=[static-libs(+)?]
+ >=x11-libs/cairo-1.10.2[svg,static-libs(+)?]
+ >=x11-libs/pango-1.28
+ )
+ lua? ( dev-lang/lua:*[deprecated] )
+ perl? ( dev-lang/perl:= )
+ python? ( ${PYTHON_DEPS} )
+ tcl? ( dev-lang/tcl:0= )
+ tcpd? ( sys-apps/tcp-wrappers )
+"
+
+DEPEND="
+ ${CDEPEND}
+ sys-apps/groff
+ virtual/pkgconfig
+ virtual/awk
+"
+RDEPEND="
+ ${CDEPEND}
+"
+PDEPEND="
+ ruby? ( ~dev-ruby/rrdtool-bindings-${PV} )
+"
+
+S=${WORKDIR}/${P/_/-}
+
+python_compile() {
+ cd bindings/python || die
+ distutils-r1_python_compile
+}
+
+python_install() {
+ cd bindings/python || die
+ distutils-r1_python_install
+}
+
+src_prepare() {
+ epatch \
+ "${FILESDIR}"/${PN}-1.4.7-configure.ac.patch \
+ "${FILESDIR}"/${PN}-1.4.9-disable-rrd_graph-cgi.patch \
+ "${FILESDIR}"/${PN}-1.4.9-disable-rrd_graph-perl.patch \
+ "${FILESDIR}"/${PN}-1.5.0_rc1-disable-rrd_graph-lua.patch \
+ "${FILESDIR}"/${PN}-1.5.0_rc1-disable-rrd_graph-python.patch
+
+ # bug 456810
+ # no time to sleep
+ sed -i \
+ -e 's|$LUA_CFLAGS|IGNORE_THIS_BAD_TEST|g' \
+ -e 's|^sleep 1$||g' \
+ -e '/^dnl.*png/s|^dnl||g' \
+ configure.ac || die
+
+ # Python bindings are built/installed manually
+ sed -i \
+ -e '/^all-local:/s| @COMP_PYTHON@||' \
+ bindings/Makefile.am || die
+
+ echo ${PV/_rc*/} >> VERSION || die
+
+ export rd_cv_gcc_flag__Werror=no
+
+ eautoreconf
+}
+
+src_configure() {
+ filter-flags -ffast-math
+
+ export RRDDOCDIR=${EPREFIX}/usr/share/doc/${PF}
+
+ # to solve bug #260380
+ [[ ${CHOST} == *-solaris* ]] && append-flags -D__EXTENSIONS__
+
+ # Stub configure.ac
+ local myconf=()
+ if ! use tcpd; then
+ myconf+=( "--disable-libwrap" )
+ fi
+ if ! use dbi; then
+ myconf+=( "--disable-libdbi" )
+ fi
+
+ econf \
+ $(use_enable graph rrd_graph) \
+ $(use_enable lua lua-site-install) \
+ $(use_enable lua) \
+ $(use_enable perl perl-site-install) \
+ $(use_enable perl) \
+ $(use_enable python) \
+ $(use_enable rrdcgi) \
+ $(use_enable static-libs static) \
+ $(use_enable tcl) \
+ $(use_with tcl tcllib "${EPREFIX}"/usr/$(get_libdir)) \
+ --with-perl-options=INSTALLDIRS=vendor \
+ --disable-librados \
+ --disable-ruby-site-install \
+ --disable-ruby \
+ ${myconf[@]}
+}
+
+src_compile() {
+ default
+
+ use python && distutils-r1_src_compile
+}
+
+src_install() {
+ default
+
+ if ! use doc ; then
+ rm -rf "${ED}"usr/share/doc/${PF}/{html,txt}
+ fi
+
+ if use !rrdcgi ; then
+ # uses rrdcgi, causes invalid shebang error in Prefix, useless
+ # without rrdcgi installed
+ rm -f "${ED}"usr/share/${PN}/examples/cgi-demo.cgi
+ fi
+
+ if use perl ; then
+ perl_delete_localpod
+ perl_delete_packlist
+ fi
+
+ dodoc CHANGES CONTRIBUTORS NEWS THREADS TODO
+
+ find "${ED}"usr -name '*.la' -exec rm -f {} +
+
+ keepdir /var/lib/rrdcached/journal/
+ keepdir /var/lib/rrdcached/db/
+
+ newconfd "${FILESDIR}"/rrdcached.confd rrdcached
+ newinitd "${FILESDIR}"/rrdcached.init rrdcached
+
+ use python && distutils-r1_src_install
+}
+
+pkg_postinst() {
+ ewarn "Since version 1.3, rrdtool dump emits completely legal xml. Basically this"
+ ewarn "means that it contains an xml header and a DOCTYPE definition. Unfortunately"
+ ewarn "this causes older versions of rrdtool restore to be unhappy."
+ ewarn
+ ewarn "To restore a new dump with an old rrdtool restore version, either remove"
+ ewarn "the xml header and the doctype by hand (both on the first line of the dump)"
+ ewarn "or use rrdtool dump --no-header."
+ ewarn
+ ewarn ">=net-analyzer/rrdtool-1.3 does not have any default font bundled. Thus if"
+ ewarn ">you've upgraded from rrdtool-1.2.x and don't have any font installed to make"
+ ewarn ">lables visible, please, install some font, e.g. media-fonts/dejavu."
+}